summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorMahmud Ridwan2015-10-04 18:41:28 +0600
committerMahmud Ridwan2015-10-04 18:41:28 +0600
commita0aac77615d4191da9d140e5b4fca34ac9e510fe (patch)
tree122c1ef87c9dd5534725dcd73e093052b001efa3
downloadaur-a0aac77615d4191da9d140e5b4fca34ac9e510fe.tar.gz
Initial commit
-rw-r--r--.SRCINFO16
-rwxr-xr-x.gitignore5
-rwxr-xr-xPKGBUILD41
-rwxr-xr-xibus-avro-git.install11
4 files changed, 73 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..0992ead6c7b
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,16 @@
+pkgbase = ibus-avro-git
+ pkgdesc = Avro Phonetic Bangla typing for Linux
+ pkgver = 20141017
+ pkgrel = 1
+ url = http://linux.omicronlab.com
+ install = ibus-avro-git.install
+ arch = x86_64
+ arch = i686
+ license = MPL
+ makedepends = autoconf
+ makedepends = automake
+ depends = ibus
+ depends = gjs
+
+pkgname = ibus-avro-git
+
diff --git a/.gitignore b/.gitignore
new file mode 100755
index 00000000000..66305985e9c
--- /dev/null
+++ b/.gitignore
@@ -0,0 +1,5 @@
+pkg
+src
+*.tar*
+
+*.sublime-*
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100755
index 00000000000..e0fa08f0b94
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,41 @@
+# Maintainer: Mahmud Ridwan <m[at]hjr265[dot]me>
+pkgname=ibus-avro-git
+pkgver=20141017
+pkgrel=1
+pkgdesc="Avro Phonetic Bangla typing for Linux"
+url="http://linux.omicronlab.com"
+arch=('x86_64' 'i686')
+license=('MPL')
+depends=('ibus' 'gjs')
+makedepends=('autoconf' 'automake')
+install=$pkgname.install
+
+build() {
+ cd "$srcdir"
+
+ if [ -e $pkgname ]; then
+ cd $pkgname
+ git pull
+ git checkout develop
+ else
+ git clone -b develop git://github.com/sarim/ibus-avro.git $pkgname
+ cd $pkgname
+ fi
+
+ aclocal || return 1
+ autoconf || return 1
+
+ automake --add-missing
+ ./configure --prefix=/usr
+
+ make || return 1
+}
+
+package() {
+ cd "$srcdir/$pkgname"
+
+ make DESTDIR="$pkgdir" installdeb
+ install -Dm644 MPL-1.1.txt "$pkgdir/usr/share/licenses/$pkgname/COPYING"
+
+ rmdir "$pkgdir/usr/libexec"
+}
diff --git a/ibus-avro-git.install b/ibus-avro-git.install
new file mode 100755
index 00000000000..6354524b64b
--- /dev/null
+++ b/ibus-avro-git.install
@@ -0,0 +1,11 @@
+post_install() {
+ glib-compile-schemas /usr/share/glib-2.0/schemas
+}
+
+post_upgrade() {
+ post_install
+}
+
+post_remove() {
+ post_install
+} \ No newline at end of file